package cn.hmsoft.skill.data.model.school;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;

/**********************************************
* 市州招生任务(用于交通职业技术学院报表统计)
* @author: yfz
* @date: 2020-04-21 13:30:47
* @version: 5.0.0
* @email: revisit@126.com
* @Company: www.hmsoft.cn
*/
@Table(tableName = "jt_area_recruit", keyColumn =  "ID" , sequenceName = "")
public class AreaRecruit implements Serializable{
	private static final long serialVersionUID = 5725070723051151826L;

	private Integer id;

	//数据所示年份
	private String year;
	//市州
	private String area;
	//招生任务数
	private Integer recruit_num;
	//录取人数 (常规录取)
	private Integer admission_routine_num;
	//录取人数 (单独招生)
	private Integer admission_separate_num;
	//报道人数 (常规录取)
	private Integer reported_routine_num;
	//报道人数 (单独招生)
	private Integer reported_separate_num;
	
	//系统当前年份
	private String year1;
	//系统当前年份-1年
	private String year2;
	//系统当前年份-2年
	private String year3;
	
	//录取人数(系统当前年份)
	private Integer year1_admission_num;
	//报道人数(系统当前年份)
	private Integer year1_reported_num;
	//录取人数(系统当前年份-1年)
	private Integer year2_admission_num;
	//报道人数(系统当前年份-1年)
	private Integer year2_reported_num;
	//录取人数(系统当前年份-2年)
	private Integer year3_admission_num;
	//报道人数(系统当前年份-2年)
	private Integer year3_reported_num;
	
	public Integer getId() {
		return id;
	}
	public void setId(Integer id) {
		this.id = id;
	}
	public String getArea() {
		return area;
	}
	public void setArea(String area) {
		this.area = area;
	}
	public Integer getRecruit_num() {
		return recruit_num;
	}
	public void setRecruit_num(Integer recruit_num) {
		this.recruit_num = recruit_num;
	}
	public Integer getAdmission_routine_num() {
		return admission_routine_num;
	}
	public void setAdmission_routine_num(Integer admission_routine_num) {
		this.admission_routine_num = admission_routine_num;
	}
	public Integer getAdmission_separate_num() {
		return admission_separate_num;
	}
	public void setAdmission_separate_num(Integer admission_separate_num) {
		this.admission_separate_num = admission_separate_num;
	}
	public Integer getReported_routine_num() {
		return reported_routine_num;
	}
	public void setReported_routine_num(Integer reported_routine_num) {
		this.reported_routine_num = reported_routine_num;
	}
	public Integer getReported_separate_num() {
		return reported_separate_num;
	}
	public void setReported_separate_num(Integer reported_separate_num) {
		this.reported_separate_num = reported_separate_num;
	}
	public String getYear() {
		return year;
	}
	public void setYear(String year) {
		this.year = year;
	}
	public String getYear1() {
		return year1;
	}
	public void setYear1(String year1) {
		this.year1 = year1;
	}
	public String getYear2() {
		return year2;
	}
	public void setYear2(String year2) {
		this.year2 = year2;
	}
	public String getYear3() {
		return year3;
	}
	public void setYear3(String year3) {
		this.year3 = year3;
	}
	public Integer getYear1_admission_num() {
		return year1_admission_num;
	}
	public void setYear1_admission_num(Integer year1_admission_num) {
		this.year1_admission_num = year1_admission_num;
	}
	public Integer getYear1_reported_num() {
		return year1_reported_num;
	}
	public void setYear1_reported_num(Integer year1_reported_num) {
		this.year1_reported_num = year1_reported_num;
	}
	public Integer getYear2_admission_num() {
		return year2_admission_num;
	}
	public void setYear2_admission_num(Integer year2_admission_num) {
		this.year2_admission_num = year2_admission_num;
	}
	public Integer getYear2_reported_num() {
		return year2_reported_num;
	}
	public void setYear2_reported_num(Integer year2_reported_num) {
		this.year2_reported_num = year2_reported_num;
	}
	public Integer getYear3_admission_num() {
		return year3_admission_num;
	}
	public void setYear3_admission_num(Integer year3_admission_num) {
		this.year3_admission_num = year3_admission_num;
	}
	public Integer getYear3_reported_num() {
		return year3_reported_num;
	}
	public void setYear3_reported_num(Integer year3_reported_num) {
		this.year3_reported_num = year3_reported_num;
	}
	
}